<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_9a1d01ea" . "56101db47" . "5f6e198f0" . "6a4f9d" => base64_decode("c3Fsc3J" . "2X2ZyZW" . "Vfc3Rtd" . "A=="), "_a591754a8ddcdb" . "da9c80f1db4d911" . "e14" => base64_decode("aXNfb" . "nVsbA" . "=="), "_78aadcc" . "2e8dfece" . "f37e1fe6" . "d5ffbcdb" . "b" => base64_decode("c3Fsc3J2" . "X2ZldGNo" . "X2FycmF5"), "_020048b1b65987544bdb5f9afa692" . "a0f" => base64_decode("TnVtUm93" . "cyBpcyBu" . "b3Qgc3Vw" . "cG9ydGVk"), "_d64c625" . "4864cf96" . "656eabce" . "a4c48fe5" . "1" => base64_decode("c3Fsc3J2X2h" . "hc19yb3dz"));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_78aadcc2e8dfecef37e1fe6d" . "5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_78aadcc2e8" . "dfecef37e1f" . "e6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_020048b1b" . "65987544bd" . "b5f9afa692" . "a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a591754a8ddcdbda" . "9c80f1db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d64c6254864cf" . "96656eabcea4c4" . "8fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_9a1d01ea" . "56101db47" . "5f6e198f0" . "6a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}